> ## Documentation Index
> Fetch the complete documentation index at: https://snowseo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get IndexNow

> Read the brand's IndexNow integration state.

Returns `{ "integration": null }` when not connected, otherwise `{ "integration": { isActive, host, key, keyFileUrl, verifiedAt, connectedAt } }`.


## OpenAPI

````yaml GET /v3/integrations/indexnow
openapi: 3.0.0
info:
  title: SnowSEO API
  description: API documentation for SnowSEO
  version: 1.0.0
servers:
  - url: https://api.snowseo.com
    description: Production server
security:
  - bearerAuth: []
  - apiKey: []
externalDocs:
  url: https://snowseo.com/docs
  description: Find more info here
paths:
  /v3/integrations/indexnow:
    get:
      tags:
        - IndexNow
      summary: Get the IndexNow integration
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  integration:
                    type: object
                    nullable: true
                    additionalProperties: true
                    properties:
                      isActive:
                        type: boolean
                      host:
                        type: string
                      key:
                        type: string
                      keyFileUrl:
                        type: string
                      verifiedAt:
                        type: string
                        nullable: true
                      connectedAt:
                        type: string
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
                  code:
                    type: string
                  message:
                    type: string
                  reference:
                    type: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your SnowSEO API key (sk_...).
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.